org.keycloak.representations.idm.authorization

## Class GroupPolicyRepresentation.GroupDefinition

- java.lang.Object
- - org.keycloak.representations.idm.authorization.GroupPolicyRepresentation.GroupDefinition

- Enclosing class:
    GroupPolicyRepresentation

      public static class GroupPolicyRepresentation.GroupDefinition
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupDefinition()`
    `GroupDefinition(String id)`
    `GroupDefinition(String id, boolean extendChildren)`
    `GroupDefinition(String id, String path, boolean extendChildren)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getPath()`
    `boolean` | `isExtendChildren()`
    `void` | `setExtendChildren(boolean extendChildren)`
    `void` | `setId(String id)`
    `void` | `setPath(String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupDefinition

          public GroupDefinition()

    - #### GroupDefinition

          public GroupDefinition(String id)

    - #### GroupDefinition

          public GroupDefinition(String id,
                                 boolean extendChildren)

    - #### GroupDefinition

          public GroupDefinition(String id,
                                 String path,
                                 boolean extendChildren)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath(String path)

    - #### isExtendChildren

          public boolean isExtendChildren()

    - #### setExtendChildren

          public void setExtendChildren(boolean extendChildren)

Copyright © 2021 JBoss by Red Hat. All rights reserved.